| QxOrm 1.2.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | Friends
qx::QxDateTimeNeutral Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::QxDateTimeNeutral : helper class to store a date-time value into database under neutral format (YYYYMMDDHHMMSS) => cross database compatibility More...

`#include <QxDateTimeNeutral.h>`

List of all members.

## Public Member Functions
| QxDateTimeNeutral ()
| QxDateTimeNeutral (const QDateTime &dt)
| QxDateTimeNeutral (const QString &neutral)
virtual | ~QxDateTimeNeutral ()
QDateTime | toDateTime () const
QString | toNeutral () const
bool | isValid () const
void | setDateTime (const QDateTime &dt)
void | setNeutral (const QString &neutral)
## Static Public Member Functions
static QxDateTimeNeutral | fromDateTime (const QDateTime &dt)
static QxDateTimeNeutral | fromNeutral (const QString &neutral)
## Private Member Functions
void | update ()
template<class Archive >
void | serialize (Archive &ar, const unsigned int file_version)
## Static Private Member Functions
static const char * | format ()
## Private Attributes
QDateTime | m_dt
| Data value under QDateTime format from Qt library.
QString | m_neutral
| Data value under neutral format 'yyyyMMddhhmmss'.
## Friends
class | boost::serialization::access

## Detailed Description

qx::QxDateTimeNeutral : helper class to store a date-time value into database under neutral format (YYYYMMDDHHMMSS) => cross database compatibility

Definition at line 61 of file QxDateTimeNeutral.h.

## Constructor & Destructor Documentation

qx::QxDateTimeNeutral::QxDateTimeNeutral | ( |  | ) | `[inline]`

Definition at line 73 of file QxDateTimeNeutral.h.

qx::QxDateTimeNeutral::QxDateTimeNeutral | ( | const QDateTime & | dt | ) | `[inline, explicit]`

Definition at line 74 of file QxDateTimeNeutral.h.

qx::QxDateTimeNeutral::QxDateTimeNeutral | ( | const QString & | neutral | ) | `[inline, explicit]`

Definition at line 75 of file QxDateTimeNeutral.h.

virtual qx::QxDateTimeNeutral::~QxDateTimeNeutral | ( |  | ) | `[inline, virtual]`

Definition at line 76 of file QxDateTimeNeutral.h.

## Member Function Documentation

static const char* qx::QxDateTimeNeutral::format | ( |  | ) | `[inline, static, private]`

Definition at line 90 of file QxDateTimeNeutral.h.

static QxDateTimeNeutral qx::QxDateTimeNeutral::fromDateTime | ( | const QDateTime & | dt | ) | `[inline, static]`

Definition at line 85 of file QxDateTimeNeutral.h.

static QxDateTimeNeutral qx::QxDateTimeNeutral::fromNeutral | ( | const QString & | neutral | ) | `[inline, static]`

Definition at line 86 of file QxDateTimeNeutral.h.

bool qx::QxDateTimeNeutral::isValid | ( |  | ) | const`[inline]`

Definition at line 80 of file QxDateTimeNeutral.h.

template<class Archive >

void qx::QxDateTimeNeutral::serialize | ( | Archive & | ar,
|  | const unsigned int | file_version
| ) |  | `[inline, private]`

Definition at line 100 of file QxDateTimeNeutral.h.

void qx::QxDateTimeNeutral::setDateTime | ( | const QDateTime & | dt | ) | `[inline]`

Definition at line 82 of file QxDateTimeNeutral.h.

void qx::QxDateTimeNeutral::setNeutral | ( | const QString & | neutral | ) | `[inline]`

Definition at line 83 of file QxDateTimeNeutral.h.

QDateTime qx::QxDateTimeNeutral::toDateTime | ( |  | ) | const`[inline]`

Definition at line 78 of file QxDateTimeNeutral.h.

QString qx::QxDateTimeNeutral::toNeutral | ( |  | ) | const`[inline]`

Definition at line 79 of file QxDateTimeNeutral.h.

void qx::QxDateTimeNeutral::update | ( |  | ) | `[inline, private]`

Definition at line 92 of file QxDateTimeNeutral.h.

## Friends And Related Function Documentation

friend class boost::serialization::access`[friend]`

Definition at line 64 of file QxDateTimeNeutral.h.

## Member Data Documentation

QDateTime qx::QxDateTimeNeutral::m_dt`[private]`

Data value under QDateTime format from Qt library.

Definition at line 68 of file QxDateTimeNeutral.h.

QString qx::QxDateTimeNeutral::m_neutral`[private]`

Data value under neutral format 'yyyyMMddhhmmss'.

Definition at line 69 of file QxDateTimeNeutral.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxDateTimeNeutral.h